NNG_CV_WAKE1(3supp)

NAME
nng_cv_wake1 - wake one waiter

SYNOPSIS

    #include <nng/nng.h>
    void nng_cv_wake1(nng_cv *cv);

DESCRIPTION

The nng_cv_wake1() wakes at most one thread waiting for the condition variable cv to be signaled in the nng_cv_wait() or nng_cv_until() functions.

The caller must have have ownership of the mutex that was used when cv was allocated.

    Note

    The caller should already have set the condition that the waiters will check, while holding the mutex.

    Note

    The caller cannot predict which waiter will be woken, and so the design must ensure that it is sufficient that any waiter be woken. When in doubt, it is safer to use nng_cv_wake().

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_cv_alloc(3supp), nng_cv_until(3supp), nng_cv_wait(3supp), nng_cv_wake(3supp), nng_mtx_alloc(3supp), nng_mtx_lock(3supp), nng_mtx_unlock(3supp), nng(7)